Linux worldls-302.fr.planethoster.net 4.18.0-553.8.1.lve.el7h.x86_64 #1 SMP Thu Jul 4 15:19:33 UTC 2024 x86_64
LiteSpeed
Server IP : 10.185.0.203 & Your IP : 216.73.216.32
Domains :
Cant Read [ /etc/named.conf ]
User : gerathty
Terminal
Auto Root
Create File
Create Folder
Localroot Suggester
Backdoor Destroyer
Readme
/
usr /
bin /
Delete
Unzip
Name
Size
Permission
Date
Action
GET
14.71
KB
-rwxr-xr-x
2014-09-16 21:05
Magick-config
1.23
KB
-rwxr-xr-x
2026-07-23 12:36
MagickCore-config
1.24
KB
-rwxr-xr-x
2026-07-23 12:36
MagickWand-config
1.25
KB
-rwxr-xr-x
2026-07-23 12:36
Mail
383.67
KB
-rwxr-xr-x
2018-04-17 17:15
Wand-config
1.23
KB
-rwxr-xr-x
2026-07-23 12:36
[
40.52
KB
-rwxr-xr-x
2020-11-10 18:18
a2p
105.32
KB
-rwxr-xr-x
2026-08-05 21:43
aclocal
35.87
KB
-rwxr-xr-x
2014-09-21 16:20
aclocal-1.13
35.87
KB
-rwxr-xr-x
2014-09-21 16:20
addr2line
28.42
KB
-rwxr-xr-x
2026-04-29 22:56
agentxtrap
19.16
KB
-rwxr-xr-x
2024-01-29 08:00
animate
7.05
KB
-rwxr-xr-x
2026-07-23 12:40
ar
61.21
KB
-rwxr-xr-x
2026-04-29 22:56
arch
32.3
KB
-rwxr-xr-x
2020-11-10 18:18
as
377.33
KB
-rwxr-xr-x
2026-04-29 22:56
aspell
163.35
KB
-rwxr-xr-x
2014-09-11 15:39
at
5.86
KB
-rwxr-xr-x
2022-05-19 08:55
atq
5.87
KB
-rwxr-xr-x
2022-05-19 08:55
atrm
5.87
KB
-rwxr-xr-x
2022-05-19 08:55
autoconf
14.42
KB
-rwxr-xr-x
2014-09-11 17:09
autoheader
8.33
KB
-rwxr-xr-x
2014-09-11 17:09
autom4te
31.43
KB
-rwxr-xr-x
2014-09-11 17:09
automake
246.44
KB
-rwxr-xr-x
2014-09-21 16:20
automake-1.13
246.44
KB
-rwxr-xr-x
2014-09-21 16:20
autoreconf
20.57
KB
-rwxr-xr-x
2014-09-11 17:09
autoscan
16.72
KB
-rwxr-xr-x
2014-09-11 17:09
autoupdate
33.08
KB
-rwxr-xr-x
2014-09-11 17:09
awk
418.54
KB
-rwxr-xr-x
2017-06-28 20:16
base64
36.48
KB
-rwxr-xr-x
2020-11-10 18:18
basename
28.35
KB
-rwxr-xr-x
2020-11-10 18:18
bash
941.93
KB
-rwxr-xr-x
2021-11-24 08:06
bashbug-64
6.8
KB
-rwxr-xr-x
2021-11-24 08:06
batch
137
B
-rwxr-xr-x
2022-05-19 08:55
bison
393.34
KB
-rwxr-xr-x
2018-10-26 15:31
bunzip2
31.91
KB
-rwxr-xr-x
2026-04-23 11:32
bzcat
31.91
KB
-rwxr-xr-x
2026-04-23 11:32
bzcmp
2.08
KB
-rwxr-xr-x
2026-04-23 11:32
bzdiff
2.08
KB
-rwxr-xr-x
2026-04-23 11:32
bzgrep
1.64
KB
-rwxr-xr-x
2026-04-23 11:32
bzip2
31.91
KB
-rwxr-xr-x
2026-04-23 11:32
bzip2recover
15.24
KB
-rwxr-xr-x
2026-04-23 11:32
bzless
1.23
KB
-rwxr-xr-x
2026-04-23 11:32
bzmore
1.23
KB
-rwxr-xr-x
2026-04-23 11:32
c++
758.59
KB
-rwxr-xr-x
2026-04-27 16:01
c++filt
27.92
KB
-rwxr-xr-x
2026-04-29 22:56
c2ph
35.75
KB
-rwxr-xr-x
2026-08-05 21:43
c89
224
B
-rwxr-xr-x
2026-04-27 16:01
c99
215
B
-rwxr-xr-x
2026-04-27 16:01
cagefs_enter.proxied
5.88
KB
-rwxr-xr-x
2026-01-20 14:58
cal
36.8
KB
-rwxr-xr-x
2021-02-03 10:47
captoinfo
64.26
KB
-rwxr-xr-x
2017-09-05 19:05
cat
52.81
KB
-rwxr-xr-x
2020-11-10 18:18
catchsegv
3.26
KB
-rwxr-xr-x
2026-04-16 15:29
cc
754.58
KB
-rwxr-xr-x
2026-04-27 16:01
chcon
61.46
KB
-rwxr-xr-x
2020-11-10 18:18
chgrp
61.32
KB
-rwxr-xr-x
2020-11-10 18:18
chmod
57.22
KB
-rwxr-xr-x
2020-11-10 18:18
chown
61.36
KB
-rwxr-xr-x
2020-11-10 18:18
chrt
32.17
KB
-rwxr-xr-x
2021-02-03 10:47
cksum
32.38
KB
-rwxr-xr-x
2020-11-10 18:18
cldetect
10.34
KB
-rwxr-xr-x
2026-06-19 18:45
clear
7.02
KB
-rwxr-xr-x
2017-09-05 19:05
cloudlinux-awp-user
1.78
KB
-rwxr-xr-x
2026-07-07 17:46
clusterdb
53.22
KB
-rwxr-xr-x
2023-12-20 12:58
clwpos-user
1.78
KB
-rwxr-xr-x
2026-07-07 17:46
cmp
44.14
KB
-rwxr-xr-x
2023-03-08 08:14
col
23.88
KB
-rwxr-xr-x
2021-02-03 10:47
colcrt
11.29
KB
-rwxr-xr-x
2021-02-03 10:47
colrm
23.77
KB
-rwxr-xr-x
2021-02-03 10:47
column
27.99
KB
-rwxr-xr-x
2021-02-03 10:47
comm
36.55
KB
-rwxr-xr-x
2020-11-10 18:18
compare
11.09
KB
-rwxr-xr-x
2026-07-23 12:40
composite
7.05
KB
-rwxr-xr-x
2026-07-23 12:40
conjure
7.05
KB
-rwxr-xr-x
2026-07-23 12:40
convert
7.05
KB
-rwxr-xr-x
2026-07-23 12:40
cp
151.54
KB
-rwxr-xr-x
2020-11-10 18:18
cpan
4.97
KB
-rwxr-xr-x
2026-08-05 21:35
cpp
754.58
KB
-rwxr-xr-x
2026-04-27 16:01
createdb
53.27
KB
-rwxr-xr-x
2023-12-20 12:58
createlang
57.09
KB
-rwxr-xr-x
2023-12-20 12:58
createuser
57.63
KB
-rwxr-xr-x
2023-12-20 12:58
crontab
5.69
KB
-rwxr-xr-x
2023-04-26 08:58
crontab.cagefs
36.73
KB
-rwxr-xr-x
2026-07-22 09:26
csplit
48.82
KB
-rwxr-xr-x
2020-11-10 18:18
curl
153
KB
-rwxr-xr-x
2026-08-06 13:06
cut
40.61
KB
-rwxr-xr-x
2020-11-10 18:18
date
60.74
KB
-rwxr-xr-x
2020-11-10 18:18
dbiprof
6.15
KB
-rwxr-xr-x
2014-09-16 16:03
dbiproxy
5.35
KB
-rwxr-xr-x
2014-09-16 16:03
dd
73.14
KB
-rwxr-xr-x
2020-11-10 18:18
delv
39.98
KB
-rwxr-xr-x
2026-08-12 00:13
df
102.55
KB
-rwxr-xr-x
2020-11-10 18:18
diff
195.46
KB
-rwxr-xr-x
2023-03-08 08:14
diff3
60.65
KB
-rwxr-xr-x
2023-03-08 08:14
dig
146.96
KB
-rwxr-xr-x
2026-08-12 00:13
dir
114.85
KB
-rwxr-xr-x
2020-11-10 18:18
dircolors
40.44
KB
-rwxr-xr-x
2020-11-10 18:18
dirname
28.31
KB
-rwxr-xr-x
2020-11-10 18:18
display
7.05
KB
-rwxr-xr-x
2026-07-23 12:40
dltest
11.05
KB
-rwxr-xr-x
2019-08-06 21:30
dropdb
53.08
KB
-rwxr-xr-x
2023-12-20 12:58
droplang
57.08
KB
-rwxr-xr-x
2023-12-20 12:58
dropuser
53.05
KB
-rwxr-xr-x
2023-12-20 12:58
du
110.34
KB
-rwxr-xr-x
2020-11-10 18:18
dvipdf
1
KB
-rwxr-xr-x
2020-11-13 16:19
echo
32.31
KB
-rwxr-xr-x
2020-11-10 18:18
egrep
290
B
-rwxr-xr-x
2017-05-26 05:25
enchant
15.29
KB
-rwxr-xr-x
2014-09-12 07:03
enchant-lsmod
11.13
KB
-rwxr-xr-x
2014-09-12 07:03
env
28.33
KB
-rwxr-xr-x
2020-11-10 18:18
eps2eps
639
B
-rwxr-xr-x
2020-11-13 16:19
eqn
144.41
KB
-rwxr-xr-x
2014-09-12 23:18
ex
906.3
KB
-rwxr-xr-x
2020-12-16 13:20
expand
32.48
KB
-rwxr-xr-x
2020-11-10 18:18
expr
36.53
KB
-rwxr-xr-x
2020-11-10 18:18
factor
93.29
KB
-rwxr-xr-x
2020-11-10 18:18
false
28.26
KB
-rwxr-xr-x
2020-11-10 18:18
fc-cache
132
B
-rwxr-xr-x
2018-06-08 13:59
fc-cache-64
15.45
KB
-rwxr-xr-x
2018-10-28 17:33
fc-cat
15.4
KB
-rwxr-xr-x
2018-10-28 17:33
fc-conflist
11.2
KB
-rwxr-xr-x
2018-10-28 17:33
fc-list
11.26
KB
-rwxr-xr-x
2018-10-28 17:33
fc-match
11.32
KB
-rwxr-xr-x
2018-10-28 17:33
fc-pattern
11.26
KB
-rwxr-xr-x
2018-10-28 17:33
fc-query
11.22
KB
-rwxr-xr-x
2018-10-28 17:33
fc-scan
11.27
KB
-rwxr-xr-x
2018-10-28 17:33
fc-validate
11.27
KB
-rwxr-xr-x
2018-10-28 17:33
fgrep
290
B
-rwxr-xr-x
2017-05-26 05:25
file
19.31
KB
-rwxr-xr-x
2020-06-30 03:19
find
194.62
KB
-rwxr-xr-x
2018-10-26 12:38
find2perl
23.06
KB
-rwxr-xr-x
2026-08-05 21:43
flex
318.07
KB
-rwxr-xr-x
2018-10-26 12:39
flex++
318.07
KB
-rwxr-xr-x
2018-10-26 12:39
flock
23.88
KB
-rwxr-xr-x
2021-02-03 10:47
fmt
36.48
KB
-rwxr-xr-x
2020-11-10 18:18
fold
36.46
KB
-rwxr-xr-x
2020-11-10 18:18
free
19.33
KB
-rwxr-xr-x
2026-05-19 18:22
freetype-config
4.39
KB
-rwxr-xr-x
2020-11-13 16:17
funzip
31.38
KB
-rwxr-xr-x
2022-01-12 08:36
g++
758.59
KB
-rwxr-xr-x
2026-04-27 16:01
gawk
418.54
KB
-rwxr-xr-x
2017-06-28 20:16
gcc
754.58
KB
-rwxr-xr-x
2026-04-27 16:01
gcc-ar
26.45
KB
-rwxr-xr-x
2026-04-27 16:01
gcc-nm
26.45
KB
-rwxr-xr-x
2026-04-27 16:01
gcc-ranlib
26.45
KB
-rwxr-xr-x
2026-04-27 16:01
gcov
311.45
KB
-rwxr-xr-x
2026-04-27 16:01
gem
542
B
-rwxr-xr-x
2022-04-06 09:38
gencat
22.11
KB
-rwxr-xr-x
2026-04-16 16:09
geoiplookup
15.28
KB
-rwxr-xr-x
2019-06-10 11:58
geoiplookup6
11.16
KB
-rwxr-xr-x
2019-06-10 11:58
geqn
144.41
KB
-rwxr-xr-x
2014-09-12 23:18
getconf
22.02
KB
-rwxr-xr-x
2026-04-16 16:09
getent
26.39
KB
-rwxr-xr-x
2026-04-16 16:09
getopt
15.38
KB
-rwxr-xr-x
2021-02-03 10:47
ghostscript
10.97
KB
-rwxr-xr-x
2020-11-13 16:19
git
1.46
MB
-rwxr-xr-x
2026-01-13 08:27
git-receive-pack
1.46
MB
-rwxr-xr-x
2026-01-13 08:27
git-shell
722.05
KB
-rwxr-xr-x
2026-01-13 08:27
git-upload-archive
1.46
MB
-rwxr-xr-x
2026-01-13 08:27
git-upload-pack
795.52
KB
-rwxr-xr-x
2026-01-13 08:27
gm
6.98
KB
-rwxr-xr-x
2024-07-29 18:31
gmake
178.47
KB
-rwxr-xr-x
2019-06-07 00:31
gneqn
271
B
-rwxr-xr-x
2014-09-12 23:18
gnroff
3.31
KB
-rwxr-xr-x
2014-09-12 23:18
gpg
732.3
KB
-rwxr-xr-x
2026-01-23 09:40
gpg-agent
289.64
KB
-rwxr-xr-x
2026-01-23 09:40
gpg-error
23.18
KB
-rwxr-xr-x
2014-09-14 16:05
gpg-zip
3.23
KB
-rwxr-xr-x
2026-01-23 09:40
gpg2
732.3
KB
-rwxr-xr-x
2026-01-23 09:40
gpgsplit
48.8
KB
-rwxr-xr-x
2026-01-23 09:40
gpgv
345.35
KB
-rwxr-xr-x
2026-01-23 09:40
gpgv2
345.35
KB
-rwxr-xr-x
2026-01-23 09:40
gpic
180.41
KB
-rwxr-xr-x
2014-09-12 23:18
gprof
98.41
KB
-rwxr-xr-x
2026-04-29 22:56
grep
155.3
KB
-rwxr-xr-x
2017-05-26 05:25
groff
81.63
KB
-rwxr-xr-x
2014-09-12 23:18
grops
140.85
KB
-rwxr-xr-x
2014-09-12 23:18
grotty
98.59
KB
-rwxr-xr-x
2014-09-12 23:18
groups
32.41
KB
-rwxr-xr-x
2020-11-10 18:18
gs
10.97
KB
-rwxr-xr-x
2020-11-13 16:19
gsbj
350
B
-rwxr-xr-x
2020-11-13 16:19
gsdj
352
B
-rwxr-xr-x
2020-11-13 16:19
gsdj500
352
B
-rwxr-xr-x
2020-11-13 16:19
gslj
353
B
-rwxr-xr-x
2020-11-13 16:19
gslp
350
B
-rwxr-xr-x
2020-11-13 16:19
gsnd
277
B
-rwxr-xr-x
2020-11-13 16:19
gsoelim
32.59
KB
-rwxr-xr-x
2014-09-12 23:18
gtar
338.02
KB
-rwxr-xr-x
2018-10-26 09:26
gtbl
115.96
KB
-rwxr-xr-x
2014-09-12 23:18
gtroff
512.96
KB
-rwxr-xr-x
2014-09-12 23:18
gunzip
2.2
KB
-rwxr-xr-x
2026-07-06 15:08
gzexe
5.79
KB
-rwxr-xr-x
2026-07-06 15:08
gzip
98.42
KB
-rwxr-xr-x
2026-07-06 15:08
h2ph
27.65
KB
-rwxr-xr-x
2026-08-05 21:43
h2xs
59.15
KB
-rwxr-xr-x
2026-08-05 21:43
head
40.5
KB
-rwxr-xr-x
2020-11-10 18:18
hexdump
32.02
KB
-rwxr-xr-x
2021-02-03 10:47
host
127.02
KB
-rwxr-xr-x
2026-08-12 00:13
hostid
28.3
KB
-rwxr-xr-x
2020-11-10 18:18
hostname
15.41
KB
-rwxr-xr-x
2019-10-16 12:29
hunspell
53.11
KB
-rwxr-xr-x
2020-07-03 11:54
iconv
58.14
KB
-rwxr-xr-x
2026-04-16 16:09
icu-config
172
B
-rwxr-xr-x
2014-08-18 21:13
icu-config-64
21.49
KB
-rwxr-xr-x
2020-03-25 15:47
icuinfo
15.6
KB
-rwxr-xr-x
2020-03-25 15:47
id
36.52
KB
-rwxr-xr-x
2020-11-10 18:18
identify
7.06
KB
-rwxr-xr-x
2026-07-23 12:40
idn
32.45
KB
-rwxr-xr-x
2015-11-24 10:40
ifnames
4.03
KB
-rwxr-xr-x
2014-09-11 17:09
igawk
3.11
KB
-rwxr-xr-x
2017-06-28 20:16
import
7.05
KB
-rwxr-xr-x
2026-07-23 12:40
infocmp
56.07
KB
-rwxr-xr-x
2017-09-05 19:05
infotocap
64.26
KB
-rwxr-xr-x
2017-09-05 19:05
install
139.64
KB
-rwxr-xr-x
2020-11-10 18:18
instmodsh
4.15
KB
-rwxr-xr-x
2014-09-16 17:09
ionice
23.87
KB
-rwxr-xr-x
2021-02-03 10:47
ipcrm
27.85
KB
-rwxr-xr-x
2021-02-03 10:47
ipcs
48.36
KB
-rwxr-xr-x
2021-02-03 10:47
isosize
23.83
KB
-rwxr-xr-x
2021-02-03 10:47
ispell
988
B
-rwxr-xr-x
2014-09-11 15:39
isql
31.69
KB
-rwxr-xr-x
2019-08-06 21:30
iusql
23.61
KB
-rwxr-xr-x
2019-08-06 21:30
join
48.75
KB
-rwxr-xr-x
2020-11-10 18:18
kill
32.82
KB
-rwxr-xr-x
2021-02-03 10:47
ld
982.57
KB
-rwxr-xr-x
2026-04-29 22:56
ld.bfd
982.57
KB
-rwxr-xr-x
2026-04-29 22:56
ldd
5.18
KB
-rwxr-xr-x
2026-04-16 15:29
less
154.55
KB
-rwxr-xr-x
2026-04-29 14:31
lessecho
11.13
KB
-rwxr-xr-x
2026-04-29 14:31
lesskey
16.67
KB
-rwxr-xr-x
2026-04-29 14:31
lesspipe.sh
2.24
KB
-rwxr-xr-x
2026-04-29 14:22
lex
318.07
KB
-rwxr-xr-x
2018-10-26 12:39
libnetcfg
15.36
KB
-rwxr-xr-x
2026-08-05 21:43
libtool
314.04
KB
-rwxr-xr-x
2017-04-12 22:12
libtoolize
76.8
KB
-rwxr-xr-x
2017-04-12 22:12
link
28.3
KB
-rwxr-xr-x
2020-11-10 18:18
ln
57.22
KB
-rwxr-xr-x
2020-11-10 18:18
locale
37.11
KB
-rwxr-xr-x
2026-04-16 16:09
localedef
318.31
KB
-rwxr-xr-x
2026-04-16 16:09
logger
28.63
KB
-rwxr-xr-x
2021-02-03 10:47
login
36.38
KB
-rwxr-xr-x
2021-02-03 10:47
logname
28.31
KB
-rwxr-xr-x
2020-11-10 18:18
look
11.27
KB
-rwxr-xr-x
2021-02-03 10:47
lprsetup.sh
5.34
KB
-rwxr-xr-x
2020-11-13 16:19
ls
114.85
KB
-rwxr-xr-x
2020-11-10 18:18
lynx
1.43
MB
-rwxr-xr-x
2014-09-15 09:06
m4
151.17
KB
-rwxr-xr-x
2015-11-23 07:45
mail
383.67
KB
-rwxr-xr-x
2018-04-17 17:15
mailx
383.67
KB
-rwxr-xr-x
2018-04-17 17:15
make
178.47
KB
-rwxr-xr-x
2019-06-07 00:31
mcookie
15.44
KB
-rwxr-xr-x
2021-02-03 10:47
md5sum
40.53
KB
-rwxr-xr-x
2020-11-10 18:18
mdig
44.2
KB
-rwxr-xr-x
2026-08-12 00:13
mesg
10.98
KB
-rwxr-xr-x
2014-09-18 12:21
mkdir
77.9
KB
-rwxr-xr-x
2020-11-10 18:18
mkfifo
61.58
KB
-rwxr-xr-x
2020-11-10 18:18
mknod
65.61
KB
-rwxr-xr-x
2020-11-10 18:18
mktemp
40.66
KB
-rwxr-xr-x
2020-11-10 18:18
mogrify
7.05
KB
-rwxr-xr-x
2026-07-23 12:40
montage
7.05
KB
-rwxr-xr-x
2026-07-23 12:40
more
40.15
KB
-rwxr-xr-x
2021-02-03 10:47
msql2mysql
1.41
KB
-rwxr-xr-x
2022-05-18 14:40
mv
127.3
KB
-rwxr-xr-x
2020-11-10 18:18
my_print_defaults
3.41
MB
-rwxr-xr-x
2022-05-18 15:08
mysql
4.2
MB
-rwxr-xr-x
2022-05-18 15:04
mysql_config
4.84
KB
-rwxr-xr-x
2022-05-18 14:40
mysql_find_rows
3.21
KB
-rwxr-xr-x
2022-05-18 14:40
mysql_waitpid
3.41
MB
-rwxr-xr-x
2022-05-18 15:04
mysqlaccess
109.33
KB
-rwxr-xr-x
2022-05-18 14:40
mysqladmin
3.73
MB
-rwxr-xr-x
2022-05-18 15:04
mysqlbinlog
3.98
MB
-rwxr-xr-x
2022-05-18 15:04
mysqlcheck
3.73
MB
-rwxr-xr-x
2022-05-18 15:04
mysqldump
3.82
MB
-rwxr-xr-x
2022-05-18 15:04
mysqlimport
3.72
MB
-rwxr-xr-x
2022-05-18 15:04
mysqlshow
3.72
MB
-rwxr-xr-x
2022-05-18 15:04
namei
27.95
KB
-rwxr-xr-x
2021-02-03 10:47
nano
201.05
KB
-rwxr-xr-x
2014-09-16 03:41
neqn
271
B
-rwxr-xr-x
2014-09-12 23:18
net-snmp-create-v3-user
2.98
KB
-rwxr-xr-x
2024-01-29 08:00
nice
32.32
KB
-rwxr-xr-x
2020-11-10 18:18
nl
40.59
KB
-rwxr-xr-x
2020-11-10 18:18
nm
45.43
KB
-rwxr-xr-x
2026-04-29 22:56
nohup
32.42
KB
-rwxr-xr-x
2020-11-10 18:18
nproc
32.37
KB
-rwxr-xr-x
2020-11-10 18:18
nroff
3.31
KB
-rwxr-xr-x
2014-09-12 23:18
nslookup
130.93
KB
-rwxr-xr-x
2026-08-12 00:13
nsupdate
65.24
KB
-rwxr-xr-x
2026-08-12 00:13
numfmt
64.71
KB
-rwxr-xr-x
2020-11-10 18:18
objcopy
227.35
KB
-rwxr-xr-x
2026-04-29 22:56
objdump
357.74
KB
-rwxr-xr-x
2026-04-29 22:56
od
64.81
KB
-rwxr-xr-x
2020-11-10 18:18
odbc_config
11.04
KB
-rwxr-xr-x
2019-08-06 21:30
odbcinst
27.69
KB
-rwxr-xr-x
2019-08-06 21:30
openssl
542.27
KB
-rwxr-xr-x
2026-08-05 21:44
pango-list
11.1
KB
-rwxr-xr-x
2019-09-17 10:27
pango-querymodules-64
28.26
KB
-rwxr-xr-x
2020-11-10 18:18
pango-view
49.47
KB
-rwxr-xr-x
2019-09-17 10:27
passwd
5.87
KB
-rwxr-xr-x
2020-01-23 15:22
paste
32.34
KB
-rwxr-xr-x
2020-11-10 18:18
patch
147
KB
-rwxr-xr-x
2019-10-14 20:47
pathchk
32.31
KB
-rwxr-xr-x
2020-11-10 18:18
pdf2dsc
698
B
-rwxr-xr-x
2020-11-13 16:19
pdf2ps
909
B
-rwxr-xr-x
2020-11-13 16:19
perl
11.14
KB
-rwxr-xr-x
2026-08-05 21:43
perl5.16.3
11.14
KB
-rwxr-xr-x
2026-08-05 21:43
perlbug
43.61
KB
-rwxr-xr-x
2026-08-05 21:43
perldoc
203
B
-rwxr-xr-x
2014-09-17 00:27
perlivp
10.52
KB
-rwxr-xr-x
2026-08-05 21:43
perlml
5.98
KB
-rwxr-xr-x
2022-08-10 22:55
perlthanks
43.61
KB
-rwxr-xr-x
2026-08-05 21:43
pf2afm
498
B
-rwxr-xr-x
2020-11-13 16:19
pfbtopfa
516
B
-rwxr-xr-x
2020-11-13 16:19
pg_dump
305.78
KB
-rwxr-xr-x
2023-12-20 12:58
pg_dumpall
73.89
KB
-rwxr-xr-x
2023-12-20 12:58
pg_restore
126.79
KB
-rwxr-xr-x
2023-12-20 12:58
pgawk
418.66
KB
-rwxr-xr-x
2017-06-28 20:16
pgrep
27.67
KB
-rwxr-xr-x
2026-05-19 18:22
php
937
B
-rwxr-xr-x
2025-04-03 12:48
pic
180.41
KB
-rwxr-xr-x
2014-09-12 23:18
piconv
7.99
KB
-rwxr-xr-x
2014-09-16 16:49
pinentry
2.54
KB
-rwxr-xr-x
2016-03-17 10:24
pinentry-curses
49.19
KB
-rwxr-xr-x
2016-10-10 01:33
ping
5.87
KB
-rwxr-xr-x
2017-08-03 00:14
pinky
36.58
KB
-rwxr-xr-x
2020-11-10 18:18
pkg-config
44.38
KB
-rwxr-xr-x
2014-09-17 07:34
pkill
27.67
KB
-rwxr-xr-x
2026-05-19 18:22
pl2pm
4.42
KB
-rwxr-xr-x
2026-08-05 21:42
pmap
27.61
KB
-rwxr-xr-x
2026-05-19 18:22
pod2html
4
KB
-rwxr-xr-x
2026-08-05 21:43
pod2latex
10.1
KB
-rwxr-xr-x
2014-09-17 00:19
pod2man
13.26
KB
-rwxr-xr-x
2014-09-17 00:21
pod2text
10.75
KB
-rwxr-xr-x
2014-09-17 00:21
pod2usage
3.67
KB
-rwxr-xr-x
2014-09-17 00:40
podchecker
3.7
KB
-rwxr-xr-x
2014-09-17 00:08
podselect
2.55
KB
-rwxr-xr-x
2014-09-17 00:24
post-grohtml
187.55
KB
-rwxr-xr-x
2014-09-12 23:18
pphs
404
B
-rwxr-xr-x
2020-11-13 16:19
pr
65.11
KB
-rwxr-xr-x
2020-11-10 18:18
pre-grohtml
86.24
KB
-rwxr-xr-x
2014-09-12 23:18
precat
5.52
KB
-rwxr-xr-x
2014-09-11 15:39
preunzip
5.52
KB
-rwxr-xr-x
2014-09-11 15:39
prezip
5.52
KB
-rwxr-xr-x
2014-09-11 15:39
prezip-bin
11.05
KB
-rwxr-xr-x
2014-09-11 15:39
printafm
395
B
-rwxr-xr-x
2020-11-13 16:19
printenv
28.29
KB
-rwxr-xr-x
2020-11-10 18:18
printf
48.61
KB
-rwxr-xr-x
2020-11-10 18:18
prove
13.13
KB
-rwxr-xr-x
2015-11-24 14:03
ps
97.79
KB
-rwxr-xr-x
2026-05-19 18:22
ps2ascii
631
B
-rwxr-xr-x
2020-11-13 16:19
ps2epsi
2.69
KB
-rwxr-xr-x
2020-11-13 16:19
ps2pdf
272
B
-rwxr-xr-x
2020-11-13 16:19
ps2pdf12
215
B
-rwxr-xr-x
2020-11-13 16:19
ps2pdf13
215
B
-rwxr-xr-x
2020-11-13 16:19
ps2pdf14
215
B
-rwxr-xr-x
2020-11-13 16:19
ps2pdfwr
1.07
KB
-rwxr-xr-x
2020-11-13 16:19
ps2ps
647
B
-rwxr-xr-x
2020-11-13 16:19
ps2ps2
669
B
-rwxr-xr-x
2020-11-13 16:19
psed
52.08
KB
-rwxr-xr-x
2026-08-05 21:43
psql
438.74
KB
-rwxr-xr-x
2023-12-20 12:58
pstruct
35.75
KB
-rwxr-xr-x
2026-08-05 21:43
ptx
65.09
KB
-rwxr-xr-x
2020-11-10 18:18
pwd
32.45
KB
-rwxr-xr-x
2020-11-10 18:18
pwdx
11.27
KB
-rwxr-xr-x
2026-05-19 18:22
pydoc
78
B
-rwxr-xr-x
2026-08-05 22:06
python
6.98
KB
-rwxr-xr-x
2026-08-05 22:07
python2
6.98
KB
-rwxr-xr-x
2026-08-05 22:07
python2.7
6.98
KB
-rwxr-xr-x
2026-08-05 22:07
ranlib
61.21
KB
-rwxr-xr-x
2026-04-29 22:56
raw
15.27
KB
-rwxr-xr-x
2021-02-03 10:47
readelf
509.84
KB
-rwxr-xr-x
2026-04-29 22:56
readlink
40.82
KB
-rwxr-xr-x
2020-11-10 18:18
realpath
61.23
KB
-rwxr-xr-x
2020-11-10 18:18
recode
39.87
KB
-rwxr-xr-x
2014-09-17 22:18
reindexdb
57.27
KB
-rwxr-xr-x
2023-12-20 12:58
rename
11.26
KB
-rwxr-xr-x
2021-02-03 10:47
renice
11.2
KB
-rwxr-xr-x
2021-02-03 10:47
replace
3.39
MB
-rwxr-xr-x
2022-05-18 15:08
reset
19.6
KB
-rwxr-xr-x
2017-09-05 19:05
rev
11.26
KB
-rwxr-xr-x
2021-02-03 10:47
rm
61.4
KB
-rwxr-xr-x
2020-11-10 18:18
rmdir
44.46
KB
-rwxr-xr-x
2020-11-10 18:18
rnano
201.05
KB
-rwxr-xr-x
2014-09-16 03:41
rpcgen
90.45
KB
-rwxr-xr-x
2026-04-16 16:09
rsync
492.45
KB
-rwxr-xr-x
2026-05-29 20:42
ruby
7.02
KB
-rwxr-xr-x
2022-04-06 10:13
run-with-aspell
85
B
-rwxr-xr-x
2014-09-11 15:39
runcon
32.47
KB
-rwxr-xr-x
2020-11-10 18:18
rvi
906.3
KB
-rwxr-xr-x
2020-12-16 13:20
rview
906.3
KB
-rwxr-xr-x
2020-12-16 13:20
s2p
52.08
KB
-rwxr-xr-x
2026-08-05 21:43
scl
19.5
KB
-rwxr-xr-x
2018-10-26 21:40
scl_enabled
258
B
-rwxr-xr-x
2018-10-26 21:40
scl_source
1.83
KB
-rwxr-xr-x
2018-10-26 21:40
scp
89.24
KB
-rwxr-xr-x
2026-08-05 21:42
screen
464.1
KB
-rwxr-xr-x
2021-04-14 19:40
script
19.61
KB
-rwxr-xr-x
2021-02-03 10:47
sdiff
48.41
KB
-rwxr-xr-x
2023-03-08 08:14
sed
74.29
KB
-rwxr-xr-x
2020-10-03 15:03
selectorctl
7.63
KB
-rwxr-xr-x
2026-07-08 16:56
seq
48.47
KB
-rwxr-xr-x
2020-11-10 18:18
setsid
11.23
KB
-rwxr-xr-x
2021-02-03 10:47
setterm
27.48
KB
-rwxr-xr-x
2021-02-03 10:47
sftp
142
KB
-rwxr-xr-x
2026-08-05 21:42
sh
941.93
KB
-rwxr-xr-x
2021-11-24 08:06
sha1sum
36.57
KB
-rwxr-xr-x
2020-11-10 18:18
sha224sum
40.63
KB
-rwxr-xr-x
2020-11-10 18:18
sha256sum
40.63
KB
-rwxr-xr-x
2020-11-10 18:18
sha384sum
40.65
KB
-rwxr-xr-x
2020-11-10 18:18
sha512sum
40.65
KB
-rwxr-xr-x
2020-11-10 18:18
shred
52.94
KB
-rwxr-xr-x
2020-11-10 18:18
shuf
49.13
KB
-rwxr-xr-x
2020-11-10 18:18
size
32.35
KB
-rwxr-xr-x
2026-04-29 22:56
skill
23.62
KB
-rwxr-xr-x
2026-05-19 18:22
slabtop
19.52
KB
-rwxr-xr-x
2026-05-19 18:22
sleep
32.35
KB
-rwxr-xr-x
2020-11-10 18:18
slogin
760.48
KB
-rwxr-xr-x
2026-08-05 21:42
snice
23.62
KB
-rwxr-xr-x
2026-05-19 18:22
snmpconf
25.52
KB
-rwxr-xr-x
2024-01-29 08:00
soelim
32.59
KB
-rwxr-xr-x
2014-09-12 23:18
sort
114.95
KB
-rwxr-xr-x
2020-11-10 18:18
spell
122
B
-rwxr-xr-x
2014-09-11 15:39
splain
18.03
KB
-rwxr-xr-x
2026-08-05 21:43
split
69.47
KB
-rwxr-xr-x
2020-11-10 18:18
sprof
22.1
KB
-rwxr-xr-x
2026-04-16 16:09
sqlite3
54.95
KB
-rwxr-xr-x
2025-08-04 15:27
ssh
760.48
KB
-rwxr-xr-x
2026-08-05 21:42
ssh-add
352.47
KB
-rwxr-xr-x
2026-08-05 21:42
ssh-agent
373.24
KB
---x--x--x
2026-08-05 21:42
ssh-copy-id
10.22
KB
-rwxr-xr-x
2026-08-05 21:42
ssh-keygen
409.38
KB
-rwxr-xr-x
2026-08-05 21:42
ssh-keyscan
434.7
KB
-rwxr-xr-x
2026-08-05 21:42
stat
77.19
KB
-rwxr-xr-x
2020-11-10 18:18
stdbuf
64.88
KB
-rwxr-xr-x
2020-11-10 18:18
strace
1009.19
KB
-rwxr-xr-x
2023-08-30 10:58
stream
7.05
KB
-rwxr-xr-x
2026-07-23 12:40
strings
36.53
KB
-rwxr-xr-x
2026-04-29 22:56
strip
227.34
KB
-rwxr-xr-x
2026-04-29 22:56
stty
68.61
KB
-rwxr-xr-x
2020-11-10 18:18
sum
36.55
KB
-rwxr-xr-x
2020-11-10 18:18
sync
28.33
KB
-rwxr-xr-x
2020-11-10 18:18
tabs
15.31
KB
-rwxr-xr-x
2017-09-05 19:05
tac
32.48
KB
-rwxr-xr-x
2020-11-10 18:18
tail
65.26
KB
-rwxr-xr-x
2020-11-10 18:18
tailf
23.88
KB
-rwxr-xr-x
2021-02-03 10:47
tar
338.02
KB
-rwxr-xr-x
2018-10-26 09:26
taskset
32.22
KB
-rwxr-xr-x
2021-02-03 10:47
tbl
115.96
KB
-rwxr-xr-x
2014-09-12 23:18
tclsh
7
KB
-rwxr-xr-x
2015-11-23 15:17
tclsh8.5
7
KB
-rwxr-xr-x
2015-11-23 15:17
tee
32.38
KB
-rwxr-xr-x
2020-11-10 18:18
test
36.46
KB
-rwxr-xr-x
2020-11-10 18:18
tic
64.26
KB
-rwxr-xr-x
2017-09-05 19:05
timeout
53.31
KB
-rwxr-xr-x
2020-11-10 18:18
tload
15.38
KB
-rwxr-xr-x
2026-05-19 18:22
tmpwatch
27.87
KB
-rwxr-xr-x
2019-06-09 11:42
toe
15.43
KB
-rwxr-xr-x
2017-09-05 19:05
top
104.38
KB
-rwxr-xr-x
2026-05-19 18:22
touch
61.02
KB
-rwxr-xr-x
2020-11-10 18:18
tput
15.42
KB
-rwxr-xr-x
2017-09-05 19:05
tr
44.61
KB
-rwxr-xr-x
2020-11-10 18:18
troff
512.96
KB
-rwxr-xr-x
2014-09-12 23:18
true
28.26
KB
-rwxr-xr-x
2020-11-10 18:18
truncate
52.67
KB
-rwxr-xr-x
2020-11-10 18:18
tset
19.6
KB
-rwxr-xr-x
2017-09-05 19:05
tsort
36.47
KB
-rwxr-xr-x
2020-11-10 18:18
tty
28.29
KB
-rwxr-xr-x
2020-11-10 18:18
tzselect
7.17
KB
-rwxr-xr-x
2026-04-16 15:28
uapi
5.87
KB
-rwxr-xr-x
2026-08-19 22:25
ul
19.47
KB
-rwxr-xr-x
2021-02-03 10:47
uname
32.3
KB
-rwxr-xr-x
2020-11-10 18:18
unexpand
32.45
KB
-rwxr-xr-x
2020-11-10 18:18
uniq
44.71
KB
-rwxr-xr-x
2020-11-10 18:18
unix-lpr.sh
4.07
KB
-rwxr-xr-x
2020-11-13 16:19
unlink
28.3
KB
-rwxr-xr-x
2020-11-10 18:18
unzip
185.16
KB
-rwxr-xr-x
2022-01-12 08:36
unzipsfx
88.66
KB
-rwxr-xr-x
2022-01-12 08:36
uptime
11.22
KB
-rwxr-xr-x
2026-05-19 18:22
users
32.42
KB
-rwxr-xr-x
2020-11-10 18:18
utmpdump
15.45
KB
-rwxr-xr-x
2021-02-03 10:47
vacuumdb
57.35
KB
-rwxr-xr-x
2023-12-20 12:58
vdir
114.85
KB
-rwxr-xr-x
2020-11-10 18:18
vi
906.3
KB
-rwxr-xr-x
2020-12-16 13:20
view
906.3
KB
-rwxr-xr-x
2020-12-16 13:20
vmstat
31.48
KB
-rwxr-xr-x
2026-05-19 18:22
watch
24.15
KB
-rwxr-xr-x
2026-05-19 18:22
wc
40.67
KB
-rwxr-xr-x
2020-11-10 18:18
wget
408.95
KB
-rwxr-xr-x
2026-07-13 18:36
whereis
20.2
KB
-rwxr-xr-x
2021-02-03 10:47
which
23.77
KB
-rwxr-xr-x
2014-09-18 19:41
who
48.7
KB
-rwxr-xr-x
2020-11-10 18:18
whoami
28.3
KB
-rwxr-xr-x
2020-11-10 18:18
word-list-compress
11.03
KB
-rwxr-xr-x
2014-09-11 15:39
x86_64-redhat-linux-c++
758.59
KB
-rwxr-xr-x
2026-04-27 16:01
x86_64-redhat-linux-g++
758.59
KB
-rwxr-xr-x
2026-04-27 16:01
x86_64-redhat-linux-gcc
754.58
KB
-rwxr-xr-x
2026-04-27 16:01
xargs
60.91
KB
-rwxr-xr-x
2018-10-26 12:38
xmlcatalog
19.3
KB
-rwxr-xr-x
2026-07-08 19:21
xmllint
61.94
KB
-rwxr-xr-x
2026-07-08 19:21
xmlwf
24
KB
-rwxr-xr-x
2026-08-06 13:02
xsltproc
23.5
KB
-rwxr-xr-x
2020-10-02 23:02
xsubpp
4.45
KB
-rwxr-xr-x
2017-05-29 23:20
yes
28.3
KB
-rwxr-xr-x
2020-11-10 18:18
zcat
1.9
KB
-rwxr-xr-x
2026-07-06 15:08
zcmp
1.72
KB
-rwxr-xr-x
2026-07-06 15:08
zdiff
5.63
KB
-rwxr-xr-x
2026-07-06 15:08
zegrep
123
B
-rwxr-xr-x
2026-07-06 15:08
zfgrep
123
B
-rwxr-xr-x
2026-07-06 15:08
zforce
2.09
KB
-rwxr-xr-x
2026-07-06 15:08
zgrep
5.98
KB
-rwxr-xr-x
2026-07-06 15:08
zip
210.78
KB
-rwxr-xr-x
2016-10-02 21:05
zipcloak
98.1
KB
-rwxr-xr-x
2016-10-02 21:05
zipgrep
2.88
KB
-rwxr-xr-x
2008-10-10 19:40
zipinfo
185.16
KB
-rwxr-xr-x
2022-01-12 08:36
zipnote
93.73
KB
-rwxr-xr-x
2016-10-02 21:05
zipsplit
97.75
KB
-rwxr-xr-x
2016-10-02 21:05
zless
1.99
KB
-rwxr-xr-x
2026-07-06 15:08
zmore
2.79
KB
-rwxr-xr-x
2026-07-06 15:08
znew
5.22
KB
-rwxr-xr-x
2026-07-06 15:08
zsh
723.13
KB
-rwxr-xr-x
2021-10-25 15:37
zsoelim
32.59
KB
-rwxr-xr-x
2014-09-12 23:18
Save
Rename
#! /usr/bin/bash # Copyright (C) 1996-2011, 2012 Free Software Foundation, Inc. # This file is part of the GNU C Library. # The GNU C Library is free software; you can redistribute it and/or # modify it under the terms of the GNU Lesser General Public # License as published by the Free Software Foundation; either # version 2.1 of the License, or (at your option) any later version. # The GNU C Library is distributed in the hope that it will be useful, # but WITHOUT ANY WARRANTY; without even the implied warranty of # MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the GNU # Lesser General Public License for more details. # You should have received a copy of the GNU Lesser General Public # License along with the GNU C Library; if not, see # <http://www.gnu.org/licenses/>. # This is the `ldd' command, which lists what shared libraries are # used by given dynamically-linked executables. It works by invoking the # run-time dynamic linker as a command and setting the environment # variable LD_TRACE_LOADED_OBJECTS to a non-empty value. # We should be able to find the translation right at the beginning. TEXTDOMAIN=libc TEXTDOMAINDIR=/usr/share/locale RTLDLIST="/lib/ld-linux.so.2 /lib64/ld-linux-x86-64.so.2 /libx32/ld-linux-x32.so.2" warn= bind_now= verbose= while test $# -gt 0; do case "$1" in --vers | --versi | --versio | --version) echo 'ldd (GNU libc) 2.17' printf $"Copyright (C) %s Free Software Foundation, Inc. This is free software; see the source for copying conditions. There is NO warranty; not even for MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. " "2012" printf $"Written by %s and %s. " "Roland McGrath" "Ulrich Drepper" exit 0 ;; --h | --he | --hel | --help) echo $"Usage: ldd [OPTION]... FILE... --help print this help and exit --version print version information and exit -d, --data-relocs process data relocations -r, --function-relocs process data and function relocations -u, --unused print unused direct dependencies -v, --verbose print all information " printf $"For bug reporting instructions, please see:\\n%s.\\n" \ "<http://www.gnu.org/software/libc/bugs.html>" exit 0 ;; -d | --d | --da | --dat | --data | --data- | --data-r | --data-re | \ --data-rel | --data-relo | --data-reloc | --data-relocs) warn=yes shift ;; -r | --f | --fu | --fun | --func | --funct | --functi | --functio | \ --function | --function- | --function-r | --function-re | --function-rel | \ --function-relo | --function-reloc | --function-relocs) warn=yes bind_now=yes shift ;; -v | --verb | --verbo | --verbos | --verbose) verbose=yes shift ;; -u | --u | --un | --unu | --unus | --unuse | --unused) unused=yes shift ;; --v | --ve | --ver) echo >&2 $"ldd: option \`$1' is ambiguous" exit 1 ;; --) # Stop option processing. shift; break ;; -*) echo >&2 'ldd:' $"unrecognized option" "\`$1'" echo >&2 $"Try \`ldd --help' for more information." exit 1 ;; *) break ;; esac done nonelf () { # Maybe extra code for non-ELF binaries. return 1; } add_env="LD_TRACE_LOADED_OBJECTS=1 LD_WARN=$warn LD_BIND_NOW=$bind_now" add_env="$add_env LD_LIBRARY_VERSION=\$verify_out" add_env="$add_env LD_VERBOSE=$verbose" if test "$unused" = yes; then add_env="$add_env LD_DEBUG=\"$LD_DEBUG${LD_DEBUG:+,}unused\"" fi # The following use of cat is needed to make ldd work in SELinux # environments where the executed program might not have permissions # to write to the console/tty. But only bash 3.x supports the pipefail # option, and we don't bother to handle the case for older bash versions. if set -o pipefail 2> /dev/null; then try_trace() { eval $add_env '"$@"' | cat } else try_trace() { eval $add_env '"$@"' } fi case $# in 0) echo >&2 'ldd:' $"missing file arguments" echo >&2 $"Try \`ldd --help' for more information." exit 1 ;; 1) single_file=t ;; *) single_file=f ;; esac result=0 for file do # We don't list the file name when there is only one. test $single_file = t || echo "${file}:" case $file in */*) : ;; *) file=./$file ;; esac if test ! -e "$file"; then echo "ldd: ${file}:" $"No such file or directory" >&2 result=1 elif test ! -f "$file"; then echo "ldd: ${file}:" $"not regular file" >&2 result=1 elif test -r "$file"; then test -x "$file" || echo 'ldd:' $"\ warning: you do not have execution permission for" "\`$file'" >&2 RTLD= ret=1 for rtld in ${RTLDLIST}; do if test -x $rtld; then verify_out=`${rtld} --verify "$file"` ret=$? case $ret in [02]) RTLD=${rtld}; break;; esac fi done case $ret in 1) # This can be a non-ELF binary or no binary at all. nonelf "$file" || { echo $" not a dynamic executable" result=1 } ;; 0|2) try_trace "$RTLD" "$file" || result=1 ;; *) echo 'ldd:' ${RTLD} $"exited with unknown exit code" "($ret)" >&2 exit 1 ;; esac else echo 'ldd:' $"error: you do not have read permission for" "\`$file'" >&2 result=1 fi done exit $result # Local Variables: # mode:ksh # End: